Ace::Graphics::Glyph::segments(3pm)

NAME
Ace::Graphics::Glyph::segments - The "discontinuous segments" glyph

SYNOPSIS
  See L<Ace::Graphics::Panel> and L<Ace::Graphics::Glyph>.

DESCRIPTION
This glyph draws a sequence feature that consists of multiple discontinuous segments, such as the exons on a transcript or a gapped alignment. The representation is a series of filled rectangles connected by line segments.

The features passed to it must either respond to the Bio::SequenceFeatureI-style subSeqFeatures() method, or the AcePerl/Das-style segments() or merged_segments() methods.

  OPTIONS
In addition to the common options, this glyph recognizes the b<-stranded> argument. If b<-stranded> is true and the feature is an alignment (has the target() method) then the glyph will draw little arrows in the segment boxes to indicate the direction of the alignment.

BUGS
Please report them.

SEE ALSO
Ace::Sequence, Ace::Sequence::Feature, Ace::Graphics::Panel, Ace::Graphics::Track, Ace::Graphics::Glyph::anchored_arrow, Ace::Graphics::Glyph::arrow, Ace::Graphics::Glyph::box, Ace::Graphics::Glyph::primers, Ace::Graphics::Glyph::segments, Ace::Graphics::Glyph::toomany, Ace::Graphics::Glyph::transcript,

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.